Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.util
Interface ISvnDiffProcessor

All Known Implementing Classes:
  SvnDiffUtils

public interface ISvnDiffProcessor

Performs svn diff queries.

Author:
  jkealey

Method Summary
`Vector` | `getLineDiff(String newRevNr)` Returns line count differences for all files in a particular revision.
`int[]` | `getLineDiff(String oldRevNr, String newRevNr, String filename)` Returns line count differences between two revisions of a file.

Method Detail

### getLineDiff

    public int[] getLineDiff(String oldRevNr,
                             String newRevNr,
                             String filename)
                      throws IOException,
                             BinaryDiffException

  Returns line count differences between two revisions of a file.

  Parameters:
    `oldRevNr` - old revision number
    `newRevNr` - new revision number
    `filename` - the filename
  Returns:
    A int[2] array of [lines added, lines removed] is returned.
  Throws:
    `IOException` - problem parsing the stream
    `BinaryDiffException` - if the error message is due to trying to diff binary files.

### getLineDiff

    public Vector getLineDiff(String newRevNr)
                       throws IOException,
                              BinaryDiffException

  Returns line count differences for all files in a particular revision.

  Parameters:
    `newRevNr` - new revision number
  Returns:
    A vector of object[3] array of [filename, int[2](lines added, lines removed), isBinary] is returned.
  Throws:
    `IOException` - problem parsing the stream
    `BinaryDiffException` - if the error message is due to trying to diff binary files.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD